MethodCaller (Groovy 5.0.7)

Package: org.codehaus.groovy.classgen.asm

## [Java] Class MethodCaller

- org.codehaus.groovy.classgen.asm.MethodCaller

-     public class MethodCaller
      extends Object

  A helper class to invoke methods more easily in ASM

- - ### Constructor Summary

    Constructors
    Constructor and description
    `protected MethodCaller()` Since: 2.5.0
    `MethodCaller(int opcode, Class theClass, String name)`
    `MethodCaller(int opcode, Class theClass, String name, int parameterCount)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public void` | `call(org.objectweb.asm.MethodVisitor methodVisitor)`
    `` | `protected Method` | `getMethod()`
    `` | `public String` | `getMethodDescriptor()`
    `` | `public static MethodCaller` | `newInterface(Class theClass, String name)`
    `` | `public static MethodCaller` | `newStatic(Class theClass, String name)`
    `` | `public static MethodCaller` | `newStatic(Class theClass, String name, int parameterCount)`
    `` | `public static MethodCaller` | `newVirtual(Class theClass, String name)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### protected MethodCaller()

      Since:
        2.5.0

    - #### public MethodCaller(int opcode, Class theClass, String name)

    - #### public MethodCaller(int opcode, Class theClass, String name, int parameterCount)

  - ### Method Detail

    - #### public void call(org.objectweb.asm.MethodVisitor methodVisitor)

    - #### protected Method getMethod()

    - #### public String getMethodDescriptor()

    - #### public static MethodCaller newInterface(Class theClass, String name)

    - #### public static MethodCaller newStatic(Class theClass, String name)

    - #### public static MethodCaller newStatic(Class theClass, String name, int parameterCount)

    - #### public static MethodCaller newVirtual(Class theClass, String name)